## linux-meta-nvidia-6.14 6.14.0-1004.4+1

=== debian/changelog ===
linux-meta-nvidia-6.14 (6.14.0-1004.4+1) noble; urgency=medium

  * Miscellaneous Ubuntu changes
    - [Packaging] Temporarily remove nvidia-fs dependencies

 -- Jacob Martin <jacob.martin@canonical.com>  Thu, 08 May 2025 16:15:09 -0500

linux-meta-nvidia-6.14 (6.14.0-1004.4) noble; urgency=medium

  * Main version: 6.14.0-1004.4

 -- Jacob Martin <jacob.martin@canonical.com>  Thu, 01 May 2025 11:21:57 -0500

linux-meta-nvidia-6.14 (6.14.0-1003.3) noble; urgency=medium

  * Main version: 6.14.0-1003.3

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Jacob Martin <jacob.martin@canonical.com>  Tue, 22 Apr 2025 09:13:59 -0500

linux-meta-nvidia-6.14 (6.14.0-1002.2) noble; urgency=medium

  * Main version: 6.14.0-1002.2

 -- Jacob Martin <jacob.martin@canonical.com>  Mon, 21 Apr 2025 14:29:45 -0500

linux-meta-nvidia-6.14 (6.14.0-1001.1) noble; urgency=medium

  * Main version: 6.14.0-1001.1

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

  * Miscellaneous Ubuntu changes
    - [Packaging] fix handling of multi arch standalone dkms

 -- Jacob Martin <jacob.martin@canonical.com>  Mon, 21 Apr 2025 12:30:19 -0500

linux-meta-nvidia-6.14 (6.14.0-1000.0) noble; urgency=medium

  * Initialize noble:linux-meta-nvidia-6.14.

 -- Jacob Martin <jacob.martin@canonical.com>  Mon, 21 Apr 2025 09:19:37 -0500

linux-meta (6.14.0-15.15) plucky; urgency=medium

  * Main version: 6.14.0-15.15

 -- Paolo Pisati <paolo.pisati@canonical.com>  Sun, 06 Apr 2025 15:11:50 +0200

linux-meta (6.14.0-14.14) plucky; urgency=medium

  * Main version: 6.14.0-14.14

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 04 Apr 2025 15:15:25 +0200

linux-meta (6.14.0-13.13) plucky; urgency=medium

  * Main version: 6.14.0-13.13

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 26 Mar 2025 20:27:31 +0100

linux-meta (6.14.0-12.12) plucky; urgency=medium

  * Main version: 6.14.0-12.12

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 26 Mar 2025 10:51:05 +0100

linux-meta (6.14.0-11.11) plucky; urgency=medium

  * Main version: 6.14.0-11.11

  * Miscellaneous Ubuntu changes
    - [Packaging] add transitionals for oem-24.04 ipu7

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 17 Mar 2025 11:31:54 +0100

linux-meta (6.14.0-10.10) plucky; urgency=medium

  * Main version: 6.14.0-10.10

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 12 Mar 2025 14:50:17 +0100

linux-meta (6.14.0-9.9) plucky; urgency=medium

  * Main version: 6.14.0-9.9

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 11 Mar 2025 12:45:28 +0100

linux-meta (6.14.0-8.8) plucky; urgency=medium

  * Main version: 6.14.0-8.8

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

  * Miscellaneous Ubuntu changes
    - [Packaging] Add lowlatency-kernel meta packages

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 10 Mar 2025 18:59:34 +0100

linux-meta (6.14.0-7.7) plucky; urgency=medium

  * Main version: 6.14.0-7.7

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 28 Feb 2025 10:46:37 +0100

linux-meta (6.14.0-6.6) plucky; urgency=medium

  * Main version: 6.14.0-6.6

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 28 Feb 2025 09:44:48 +0100

linux-meta (6.14.0-5.5) plucky; urgency=medium

  * Main version: 6.14.0-5.5

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 26 Feb 2025 14:33:09 +0100

linux-meta (6.14.0-4.4) plucky; urgency=medium

  * Main version: 6.14.0-4.4

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 20 Feb 2025 14:56:31 +0100

linux-meta (6.14.0-1.1) plucky; urgency=medium

  * Empty entry

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 20 Feb 2025 14:22:50 +0100

linux-meta (6.12.0-16.16+2) plucky; urgency=medium


  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

  * Miscellaneous upstream changes
    - Revert "UBUNTU: [Packaging] Add lowlatency-kernel meta packages"

 -- Paolo Pisati <paolo.pisati@canonical.com>  Mon, 17 Feb 2025 11:06:14 +0100

linux-meta (6.12.0-16.16+1) plucky; urgency=medium

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions: temporarily remove mofed

 -- Paolo Pisati <paolo.pisati@canonical.com>  Sun, 16 Feb 2025 12:27:07 +0100

linux-meta (6.12.0-16.16) plucky; urgency=medium

  * Main version: 6.12.0-16.16

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

  * Miscellaneous Ubuntu changes
    - [Packaging] Add lowlatency-kernel meta packages

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 14 Feb 2025 14:28:55 +0100

linux-meta (6.12.0-15.15+1) plucky; urgency=medium

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions: temporarily remove mofed

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 05 Feb 2025 15:11:18 +0100

linux-meta (6.12.0-15.15) plucky; urgency=medium

  * Main version: 6.12.0-15.15

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 04 Feb 2025 12:38:13 +0100

linux-meta (6.12.0-12.12) plucky; urgency=medium

  * Main version: 6.12.0-12.12

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 22 Jan 2025 15:50:28 +0100

linux-meta (6.12.0-11.11) plucky; urgency=medium

  * Main version: 6.12.0-11.11

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 21 Jan 2025 17:19:23 +0100

linux-meta (6.12.0-10.10) plucky; urgency=medium

  * Main version: 6.12.0-10.10

 -- Paolo Pisati <paolo.pisati@canonical.com>  Sun, 29 Dec 2024 11:25:42 +0100

linux-meta (6.12.0-8.8) plucky; urgency=medium

  * Main version: 6.12.0-8.8


