## linux-meta-nvidia-6.14 6.14.0-1008.8

=== debian/changelog ===
linux-meta-nvidia-6.14 (6.14.0-1008.8) noble; urgency=medium

  * Main version: 6.14.0-1008.8

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Jacob Martin <jacob.martin@canonical.com>  Fri, 25 Jul 2025 17:26:21 -0500
