## linux-meta-nvidia-6.14 6.14.0-1009.9

=== debian/changelog ===
linux-meta-nvidia-6.14 (6.14.0-1009.9) noble; urgency=medium

  * Main version: 6.14.0-1009.9

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] debian/dkms-versions -- resync from main package

  * linux-nvidia: Do not produce linux-modules-extra package (LP: #2121416)
    - [Packaging] Drop linux-modules-extra package as a dependency

  * Miscellaneous upstream changes
    - Revert "UBUNTU: [Packaging] Temporarily remove nvidia-fs dependencies"

 -- Jacob Martin <jacob.martin@canonical.com>  Fri, 29 Aug 2025 17:45:56 -0500
