=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Standards-Version: 3.9.8
 Build-Depends: dpkg (>= 1.13.19), debhelper (>= 9), gawk
 Build-Depends-Arch:
- linux-nvidia-6.14-headers-6.14.0-1008,
- linux-headers-6.14.0-1008-nvidia,
+ linux-nvidia-6.14-headers-6.14.0-1009,
+ linux-headers-6.14.0-1009-nvidia,
 Vcs-Git: git://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-meta-nvidia-6.14/+git/noble
 
 Package: linux-headers-nvidia-6.14
@@ -21,7 +21,7 @@
 Architecture: amd64 arm64
 Section: kernel
 Provides: ${dkms:v4l2loopback-modules} ${dkms:zfs-modules} ${dkms:ivsc-modules} ${dkms:virtualbox-guest-modules} ${dkms:wireguard-linux-compat-modules}
-Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-nvidia, linux-modules-extra-${kernel-abi-version}-nvidia, linux-firmware, intel-microcode [amd64], amd64-microcode [amd64]
+Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-nvidia, linux-firmware, intel-microcode [amd64], amd64-microcode [amd64], linux-modules-nvidia-fs-${kernel-abi-version}-nvidia
 Recommends: thermald [amd64]
 Description: NVIDIA Linux kernel image
  This package will always depend on the latest NVIDIA kernel image
@@ -59,7 +59,7 @@
 Architecture: arm64
 Section: kernel
 Provides: ${dkms:wireguard-linux-compat-modules}
-Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-nvidia-64k, linux-modules-extra-${kernel-abi-version}-nvidia-64k, linux-firmware
+Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-nvidia-64k, linux-firmware, linux-modules-nvidia-fs-${kernel-abi-version}-nvidia-64k
 Description: NVIDIA 64K Linux kernel image
  This package will always depend on the latest NVIDIA-64k kernel image
  available.
@@ -84,3 +84,24 @@
  and headers.
 
 
+
+Package: linux-modules-nvidia-fs-nvidia-6.14
+Architecture: amd64 arm64 
+Section: kernel
+Provides: ${dkms:nvidia-fs-modules}
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-fs-${kernel-abi-version}-nvidia,
+Description: Extra drivers for nvidia-fs for the nvidia flavour
+ Install extra signed nvidia-fs modules compatible with the nvidia flavour.
+
+Package: linux-modules-nvidia-fs-nvidia-64k-6.14
+Architecture: arm64 
+Section: kernel
+Provides: ${dkms:nvidia-fs-modules}
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-fs-${kernel-abi-version}-nvidia-64k,
+Description: Extra drivers for nvidia-fs for the nvidia-64k flavour
+ Install extra signed nvidia-fs modules compatible with the nvidia-64k flavour.
+
