## linux-meta-nvidia-6.14 6.14.0-1011.11

=== debian/changelog ===
linux-meta-nvidia-6.14 (6.14.0-1011.11) noble; urgency=medium

  * Main version: 6.14.0-1011.11

 -- Jacob Martin <jacob.martin@canonical.com>  Sun, 21 Sep 2025 10:57:06 -0500

linux-meta-nvidia-6.14 (6.14.0-1010.10) noble; urgency=medium

  * Main version: 6.14.0-1010.10

 -- Jacob Martin <jacob.martin@canonical.com>  Fri, 19 Sep 2025 21:25:50 -0500
