## linux-meta-nvidia-6.14 6.14.0-1012.12

=== debian/changelog ===
linux-meta-nvidia-6.14 (6.14.0-1012.12) noble; urgency=medium

  * Main version: 6.14.0-1012.12

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants

 -- Jacob Martin <jacob.martin@canonical.com>  Wed, 15 Oct 2025 18:48:07 -0500
