=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Standards-Version: 3.9.8
 Build-Depends: dpkg (>= 1.13.19), debhelper (>= 9), gawk
 Build-Depends-Arch:
- linux-nvidia-6.14-headers-6.14.0-1011,
- linux-headers-6.14.0-1011-nvidia,
+ linux-nvidia-6.14-headers-6.14.0-1012,
+ linux-headers-6.14.0-1012-nvidia,
 Vcs-Git: git://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-meta-nvidia-6.14/+git/noble
 
 Package: linux-headers-nvidia-6.14
@@ -47,6 +47,82 @@
  and headers.
 
 
+Package: linux-headers-nvidia-hwe-24.04-edge
+Architecture: amd64 arm64
+Section: kernel
+Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-nvidia
+Description: NVIDIA Linux kernel headers
+ This package will always depend on the latest NVIDIA kernel headers
+ available.
+
+Package: linux-image-nvidia-hwe-24.04-edge
+Architecture: amd64 arm64
+Section: kernel
+Provides: ${dkms:v4l2loopback-modules} ${dkms:zfs-modules} ${dkms:ivsc-modules} ${dkms:virtualbox-guest-modules} ${dkms:wireguard-linux-compat-modules}
+Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-nvidia, linux-firmware, intel-microcode [amd64], amd64-microcode [amd64], linux-modules-nvidia-fs-${kernel-abi-version}-nvidia
+Recommends: thermald [amd64]
+Description: NVIDIA Linux kernel image
+ This package will always depend on the latest NVIDIA kernel image
+ available.
+
+Package: linux-tools-nvidia-hwe-24.04-edge
+Architecture: amd64 arm64
+Section: kernel
+Provides: linux-tools
+Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-nvidia
+Description: NVIDIA Linux kernel tools
+ This package will always depend on the latest NVIDIA kernel tools
+ available.
+
+Package: linux-nvidia-hwe-24.04-edge
+Architecture: amd64 arm64
+Section: kernel
+Provides:  
+Depends: ${misc:Depends}, linux-image-nvidia-hwe-24.04-edge (= ${binary:Version}), linux-headers-nvidia-hwe-24.04-edge (= ${binary:Version})
+Recommends: linux-tools-${kernel-abi-version}-nvidia, ubuntu-kernel-accessories
+Description: Complete NVIDIA Linux kernel and headers
+ This package will always depend on the latest complete NVIDIA Linux kernel
+ and headers.
+
+
+Package: linux-headers-nvidia-hwe-24.04
+Architecture: amd64 arm64
+Section: kernel
+Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-nvidia
+Description: NVIDIA Linux kernel headers
+ This package will always depend on the latest NVIDIA kernel headers
+ available.
+
+Package: linux-image-nvidia-hwe-24.04
+Architecture: amd64 arm64
+Section: kernel
+Provides: ${dkms:v4l2loopback-modules} ${dkms:zfs-modules} ${dkms:ivsc-modules} ${dkms:virtualbox-guest-modules} ${dkms:wireguard-linux-compat-modules}
+Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-nvidia, linux-firmware, intel-microcode [amd64], amd64-microcode [amd64], linux-modules-nvidia-fs-${kernel-abi-version}-nvidia
+Recommends: thermald [amd64]
+Description: NVIDIA Linux kernel image
+ This package will always depend on the latest NVIDIA kernel image
+ available.
+
+Package: linux-tools-nvidia-hwe-24.04
+Architecture: amd64 arm64
+Section: kernel
+Provides: linux-tools
+Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-nvidia
+Description: NVIDIA Linux kernel tools
+ This package will always depend on the latest NVIDIA kernel tools
+ available.
+
+Package: linux-nvidia-hwe-24.04
+Architecture: amd64 arm64
+Section: kernel
+Provides:  
+Depends: ${misc:Depends}, linux-image-nvidia-hwe-24.04 (= ${binary:Version}), linux-headers-nvidia-hwe-24.04 (= ${binary:Version})
+Recommends: linux-tools-${kernel-abi-version}-nvidia, ubuntu-kernel-accessories
+Description: Complete NVIDIA Linux kernel and headers
+ This package will always depend on the latest complete NVIDIA Linux kernel
+ and headers.
+
+
 Package: linux-headers-nvidia-64k-6.14
 Architecture: arm64
 Section: kernel
@@ -84,6 +160,80 @@
  and headers.
 
 
+Package: linux-headers-nvidia-64k-hwe-24.04-edge
+Architecture: arm64
+Section: kernel
+Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-nvidia-64k
+Description: NVIDIA 64K Linux kernel headers
+ This package will always depend on the latest NVIDIA-64k kernel headers
+ available.
+
+Package: linux-image-nvidia-64k-hwe-24.04-edge
+Architecture: arm64
+Section: kernel
+Provides: ${dkms:wireguard-linux-compat-modules}
+Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-nvidia-64k, linux-firmware, linux-modules-nvidia-fs-${kernel-abi-version}-nvidia-64k
+Description: NVIDIA 64K Linux kernel image
+ This package will always depend on the latest NVIDIA-64k kernel image
+ available.
+
+Package: linux-tools-nvidia-64k-hwe-24.04-edge
+Architecture: arm64
+Section: kernel
+Provides: linux-tools
+Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-nvidia-64k
+Description: NVIDIA 64K Linux kernel tools
+ This package will always depend on the latest NVIDIA-64k kernel tools
+ available.
+
+Package: linux-nvidia-64k-hwe-24.04-edge
+Architecture: arm64
+Section: kernel
+Provides: 
+Depends: ${misc:Depends}, linux-image-nvidia-64k-hwe-24.04-edge (= ${binary:Version}), linux-headers-nvidia-64k-hwe-24.04-edge (= ${binary:Version})
+Recommends: linux-tools-${kernel-abi-version}-nvidia-64k, ubuntu-kernel-accessories
+Description: Complete NVIDIA 64K Linux kernel and headers
+ This package will always depend on the latest complete NVIDIA-64k Linux kernel
+ and headers.
+
+
+Package: linux-headers-nvidia-64k-hwe-24.04
+Architecture: arm64
+Section: kernel
+Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-nvidia-64k
+Description: NVIDIA 64K Linux kernel headers
+ This package will always depend on the latest NVIDIA-64k kernel headers
+ available.
+
+Package: linux-image-nvidia-64k-hwe-24.04
+Architecture: arm64
+Section: kernel
+Provides: ${dkms:wireguard-linux-compat-modules}
+Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-nvidia-64k, linux-firmware, linux-modules-nvidia-fs-${kernel-abi-version}-nvidia-64k
+Description: NVIDIA 64K Linux kernel image
+ This package will always depend on the latest NVIDIA-64k kernel image
+ available.
+
+Package: linux-tools-nvidia-64k-hwe-24.04
+Architecture: arm64
+Section: kernel
+Provides: linux-tools
+Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-nvidia-64k
+Description: NVIDIA 64K Linux kernel tools
+ This package will always depend on the latest NVIDIA-64k kernel tools
+ available.
+
+Package: linux-nvidia-64k-hwe-24.04
+Architecture: arm64
+Section: kernel
+Provides: 
+Depends: ${misc:Depends}, linux-image-nvidia-64k-hwe-24.04 (= ${binary:Version}), linux-headers-nvidia-64k-hwe-24.04 (= ${binary:Version})
+Recommends: linux-tools-${kernel-abi-version}-nvidia-64k, ubuntu-kernel-accessories
+Description: Complete NVIDIA 64K Linux kernel and headers
+ This package will always depend on the latest complete NVIDIA-64k Linux kernel
+ and headers.
+
+
 
 Package: linux-modules-nvidia-fs-nvidia-6.14
 Architecture: amd64 arm64 
@@ -105,3 +255,45 @@
 Description: Extra drivers for nvidia-fs for the nvidia-64k flavour
  Install extra signed nvidia-fs modules compatible with the nvidia-64k flavour.
 
+
+Package: linux-modules-nvidia-fs-nvidia-hwe-24.04-edge
+Architecture: amd64 arm64 
+Section: kernel
+Provides: ${dkms:nvidia-fs-modules}
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-fs-${kernel-abi-version}-nvidia,
+Description: Extra drivers for nvidia-fs for the nvidia flavour
+ Install extra signed nvidia-fs modules compatible with the nvidia flavour.
+
+Package: linux-modules-nvidia-fs-nvidia-64k-hwe-24.04-edge
+Architecture: arm64 
+Section: kernel
+Provides: ${dkms:nvidia-fs-modules}
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-fs-${kernel-abi-version}-nvidia-64k,
+Description: Extra drivers for nvidia-fs for the nvidia-64k flavour
+ Install extra signed nvidia-fs modules compatible with the nvidia-64k flavour.
+
+
+Package: linux-modules-nvidia-fs-nvidia-hwe-24.04
+Architecture: amd64 arm64 
+Section: kernel
+Provides: ${dkms:nvidia-fs-modules}
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-fs-${kernel-abi-version}-nvidia,
+Description: Extra drivers for nvidia-fs for the nvidia flavour
+ Install extra signed nvidia-fs modules compatible with the nvidia flavour.
+
+Package: linux-modules-nvidia-fs-nvidia-64k-hwe-24.04
+Architecture: arm64 
+Section: kernel
+Provides: ${dkms:nvidia-fs-modules}
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-fs-${kernel-abi-version}-nvidia-64k,
+Description: Extra drivers for nvidia-fs for the nvidia-64k flavour
+ Install extra signed nvidia-fs modules compatible with the nvidia-64k flavour.
+
