## linux-meta-nvidia-6.14 6.14.0-1013.13

=== debian/changelog ===
linux-meta-nvidia-6.14 (6.14.0-1013.13) noble; urgency=medium

  * Main version: 6.14.0-1013.13

 -- Jacob Martin <jacob.martin@canonical.com>  Tue, 28 Oct 2025 15:33:04 -0500
