## linux-meta-nvidia-6.14 6.14.0-1014.14

=== debian/changelog ===
linux-meta-nvidia-6.14 (6.14.0-1014.14) noble; urgency=medium

  * Main version: 6.14.0-1014.14

 -- Jacob Martin <jacob.martin@canonical.com>  Fri, 14 Nov 2025 21:48:44 -0600
