## linux-meta-nvidia-6.14 6.14.0-1015.15

=== debian/changelog ===
linux-meta-nvidia-6.14 (6.14.0-1015.15) noble; urgency=medium

  * Main version: 6.14.0-1015.15

 -- Jacob Martin <jacob.martin@canonical.com>  Mon, 24 Nov 2025 17:01:03 -0600
